import os
import subprocess
import sys
import sysconfig
from pathlib import Path


def find_ruff_bin() -> Path:
    """Return the ruff binary path."""
    return Path("/usr/bin/ruff")


if __name__ == "__main__":
    ruff = find_ruff_bin()
    # Passing a path-like to `subprocess.run()` on windows is only supported in 3.8+,
    # but we also support 3.7
    completed_process = subprocess.run([os.fsdecode(ruff), *sys.argv[1:]])
    sys.exit(completed_process.returncode)
